Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Functions
CameraDevice.h File Reference

Libargus API: Camera Device API More...

Go to the source code of this file.

## Classes
class | Argus::CameraDevice
class | Argus::ICameraProperties
| Interface to the core CameraDevice properties. More...
class | Argus::SensorMode
class | Argus::ISensorMode
| Interface to the core properties of a SensorMode. More...

## Namespaces
namespace | Argus

## Functions
| Argus::DEFINE_UUID (InterfaceID, IID_CAMERA_PROPERTIES, 436d2a73, c85b, 4a29, bce5, 15, 60, 6e, 35, 86, 91)
| Argus::DEFINE_UUID (InterfaceID, IID_SENSOR_MODE, e69015e0, db2a, 11e5, a837, 18, 00, 20, 0c, 9a, 66)

## Detailed Description

Libargus API: Camera Device API

Description: This file defines objects representing a single camera device.

Definition in file CameraDevice.h.